WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Simple Graph

Draws a line graph of single set of date related data. Graph can be made public (i.e. sidebar widget or static page) and the data can be edited throug

1.0.5

  • Added basic Google Chart API support for rendering the widget graph. The graph looks better, but there's a limit to amount of values shown due to URL length limitations. Currently weekly averages is forced to reduce number of values. If graph doesn't show, try disabling the trend graph, which effectively reduces the value count to half. If the graph is still empty or doesn't show up at all, disable Google Chart API support from widget control pane. It's disabled by default. Note that some widget options are not used at this time when Google Chart API is enabled. This will be fixed in the future.

1.0.4

  • Fixed version numbering. :)

1.0.3

  • Fixed widget not showing when PHP register_globals was on.

1.0.2

  • Fixed widget customization bug. (Control panel changes did not affect the widgets.)

1.0.1

  • Fixed activation bug which occurred in a rare situation.

1.0.0

  • Added multiple widgets support.
  • Added multiple user-sensitive graphs, i.e. each user may have their own graphs. Each user can also see and edit only his/her graph.
  • Added content filter which allows insertion of graphs to pages and posts.

0.9.8c

  • Fixed user roles issue, which broke the plugin in WordPress 2.2.

0.9.8b

  • Fixed broken graph image for sites that use different site and WordPress addresses.

0.9.8

  • Added configurable title and text to widget. Both can contain wildcards which are replaced by values such as highest value, lowest value, et cetera.
  • Extended widget control panel significantly.
  • Removed old plugin configuration page as it was redundant.
  • Bug fix: plugin now works even if plugin folder name is changed.

Requires: 2.0.1 or higher
Compatible up to: 2.3.1
Last Updated: 2011-3-18
Downloads: 6,636

Ratings

3 stars
3.1 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,2,2
100,1,1